Package org.gradle.jvm.test

# Interface JvmTestSuiteSpec

All Superinterfaces:
  `ComponentSpec`, `GeneralComponentSpec`, `JvmComponentSpec`, `ModelElement`, `Named`, `SourceComponentSpec`, `TestSuiteSpec`, `VariantComponent`, `VariantComponentSpec`

All Known Subinterfaces:
  `JUnitTestSuiteSpec`

@Incubating public interface JvmTestSuiteSpec extends TestSuiteSpec, JvmComponentSpec
Base type for all JVM test suites.

Since:
  2.11

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`DependencySpecContainer`
`getDependencies()`
The set of dependencies applicable to the entire test suite.
`JvmComponentSpec`
`getTestedComponent()`
The tested component.

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

`getSources`

### Methods inherited from interface org.gradle.testing.base.TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface org.gradle.platform.base.VariantComponent

`getName, getVariants`

### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

`getBinaries`

## Method Details

### getDependencies

DependencySpecContainer getDependencies()
The set of dependencies applicable to the entire test suite.

### getTestedComponent

JvmComponentSpec getTestedComponent()
Description copied from interface: `TestSuiteSpec`
The tested component.

Specified by:
  `getTestedComponent` in interface `TestSuiteSpec`